package com.load.consumer;

import com.load.config.InitConnectWeight;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.DefaultApplicationArguments;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;


/**
 * 断开连接消费者
 *
 * @author YunFei·Du
 * @ClassName: ReceiveHandler
 * @Description: 断开连接消费者
 * @CreateTime: 2024/5/27 17:00
 */
@Component
@Slf4j
public class ReceiveHandler {
    @Autowired
    private RedisTemplate redisTemplate;
    @Autowired
    private InitConnectWeight initConnectWeight;

    //监听SMS队列    ADD_LOG_AAA
    @RabbitListener(queues = {"test"})
    public void receiveSms(Message message) {
        try {
            initConnectWeight.run(new DefaultApplicationArguments());
            redisTemplate.delete("count");
            log.warn("ip权重重新分配成功!");
        } catch (Exception e) {
            throw new RuntimeException(e);
        }

        System.out.println("消费者得到的消息: " + new String(message.getBody()));
    }
}
