package com.load.controller;

import com.load.domain.MqttServerModel;
import com.load.domain.Result;
import com.load.domain.req.VehicleConnectionReq;
import com.load.service.LoadBalanceService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * 车辆连接
 *
 * @author YunFei·Du
 * @ClassName: ConnectController
 * @Description: 车辆连接
 * @CreateTime: 2024/5/27 09:00
 */
@RestController
@RequestMapping("loadBalance")
@Log4j2
public class LoadBalanceController {


    @Autowired
    private LoadBalanceService loadBalanceService;


    /**
     * 获取连接
     */
    @PostMapping("/getConnect")
    public Result<MqttServerModel>  getConnect(@RequestBody VehicleConnectionReq vehicleConnectionReq){
        return loadBalanceService.getConnect(vehicleConnectionReq);
    }

    /**
     * 创建实例
     */
    @GetMapping("/createConnect")
    public void createConnect() {
        loadBalanceService.createConnect ( );
        log.info ( "创建实例成功" );
    }

}
